Ask Your Question
3

Installing VLC from rpmfusion fails with "not found"

asked 2018-02-17 12:57:28 -0500

ggossamer gravatar image

updated 2018-02-19 09:52:25 -0500

SteveEbey73701 gravatar image

Hi, I'm using fedora27 and have the rpmfusion repos installed:

$ ls -l *rpmfusion*
-rw-r--r-- 1 root root 1248 Nov 13 13:17 rpmfusion-free.repo
-rw-r--r-- 1 root root 1245 Nov 13 13:17 rpmfusion-free-updates.repo
-rw-r--r-- 1 root root 1305 Nov 13 13:17 rpmfusion-free-updates-testing.repo
-rw-r--r-- 1 root root 1293 Nov 13 13:21 rpmfusion-nonfree.repo
-rw-r--r-- 1 root root 1290 Nov 13 13:21 rpmfusion-nonfree-updates.repo
-rw-r--r-- 1 root root 1350 Nov 13 13:21 rpmfusion-nonfree-updates-testing.repo

However, installing or even searching for vlc fails:

# dnf search vlc
Fedora 27 - x86_64 - Updates                           7.0 MB/s |  19 MB     00:02
Fedora 27 - x86_64                                     6.8 MB/s |  58 MB     00:08
RPM Fusion for Fedora 27 - Free - Updates              2.8 MB/s | 289 kB     00:00
RPM Fusion for Fedora 27 - Free                        4.1 MB/s | 717 kB     00:00
RPM Fusion for Fedora 27 - Nonfree - Updates           726 kB/s |  27 kB     00:00
RPM Fusion for Fedora 27 - Nonfree                     1.8 MB/s | 163 kB     00:00
Last metadata expiration check: 0:00:00 ago on Sat 17 Feb 2018 01:51:32 PM EST.
======================== Name & Summary Matched: vlc =============================
npapi-vlc.x86_64 : NPAPI plugin for libvlc
phonon-backend-vlc.x86_64 : VLC phonon backend
libvlcpp-devel.noarch : Development files for libvlcpp
phonon-qt5-backend-vlc.x86_64 : Vlc phonon-qt5 backend
python2-vlc.noarch : VLC Media Player binding for Python
python3-vlc.noarch : VLC Media Player binding for Python
npapi-vlc-gtk.x86_64 : NPAPI plugin for libvlc - gtk version
npapi-vlc-filesystem.x86_64 : NPAPI plugin for libvlc - filesystem

I've had to install it manually by downloading the RPMs directly from the website. Why wouldn't dnf be able to find vlc?

# dnf install vlc
Last metadata expiration check: 0:05:17 ago on Sat 17 Feb 2018 01:51:32 PM EST.
No match for argument: vlc
Error: Unable to find a match
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2018-02-18 06:23:41 -0500

FranciscoD_ gravatar image

It's possible you hit an outdated mirror maybe. I cannot reproduce the issue here on my machine:

sudo dnf install vlc -y
[sudo] password for asinha: 
Last metadata expiration check: 1:19:14 ago on Sun 18 Feb 2018 11:00:35 GMT.
Package vlc-3.0.0-1.fc27.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.

Complete!

Can you please try the following to see what you get:

sudo dnf install vlc  --refresh

It simply forces a metadata refresh, and should fix it. (Please do check that you haven't excluded vlc in any of the repo config files too)

edit flag offensive delete link more

Comments

1

Hi, thanks for your help. It was excluded in /etc/dnf.conf. It's unfortunate the dnf output gave no indication of this (and that I didn't immediately recognize this, lol)

ggossamer gravatar imageggossamer ( 2018-02-18 14:57:50 -0500 )edit

@ggossamer mmm you touched dnf.conf... Be aware of what you do.

davidva gravatar imagedavidva ( 2018-02-19 03:08:49 -0500 )edit
0

answered 2019-01-18 09:08:34 -0500

I had to explicitly enable the repo:

sudo yum-config-manager  --enable rpmfusion-free
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-02-17 12:54:01 -0500

Seen: 726 times

Last updated: Feb 18 '18